## org.apache.cassandra.thrift
Class ColumnPath

    java.lang.Object
      org.apache.cassandra.thrift.ColumnPath

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<ColumnPath>, org.apache.thrift.TBase<ColumnPath,ColumnPath._Fields>

    public class ColumnPath

extends java.lang.Object
implements org.apache.thrift.TBase<ColumnPath,ColumnPath._Fields>, java.io.Serializable, java.lang.Cloneable

The ColumnPath is the path to a single column in Cassandra. It might make sense to think of ColumnPath and ColumnParent in terms of a directory structure. ColumnPath is used to looking up a single column.

See Also:
  Serialized Form

Nested Class Summary
`static class` `ColumnPath._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Field Summary
`java.nio.ByteBuffer` `column`
`java.lang.String` `column_family`
`static java.util.Map<ColumnPath._Fields,org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`java.nio.ByteBuffer` `super_column`

Constructor Summary
`ColumnPath()`
`ColumnPath(ColumnPath other)` Performs a deep copy on other.
`ColumnPath(java.lang.String column_family)`

Method Summary
`java.nio.ByteBuffer` `bufferForColumn()`
`java.nio.ByteBuffer` `bufferForSuper_column()`
`void` `clear()`
`int` `compareTo(ColumnPath other)`
`ColumnPath` `deepCopy()`
`boolean` `equals(ColumnPath that)`
`boolean` `equals(java.lang.Object that)`
`ColumnPath._Fields` `fieldForId(int fieldId)`
`java.lang.String` `getColumn_family()`
`byte[]` `getColumn()`
`java.lang.Object` `getFieldValue(ColumnPath._Fields field)`
`byte[]` `getSuper_column()`
`int` `hashCode()`
`boolean` `isSet(ColumnPath._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetColumn_family()` Returns true if field column_family is set (has been assigned a value) and false otherwise
`boolean` `isSetColumn()` Returns true if field column is set (has been assigned a value) and false otherwise
`boolean` `isSetSuper_column()` Returns true if field super_column is set (has been assigned a value) and false otherwise
`void` `read(org.apache.thrift.protocol.TProtocol iprot)`
`ColumnPath` `setColumn_family(java.lang.String column_family)`
`void` `setColumn_familyIsSet(boolean value)`
`ColumnPath` `setColumn(byte[] column)`
`ColumnPath` `setColumn(java.nio.ByteBuffer column)`
`void` `setColumnIsSet(boolean value)`
`void` `setFieldValue(ColumnPath._Fields field, java.lang.Object value)`
`ColumnPath` `setSuper_column(byte[] super_column)`
`ColumnPath` `setSuper_column(java.nio.ByteBuffer super_column)`
`void` `setSuper_columnIsSet(boolean value)`
`java.lang.String` `toString()`
`void` `unsetColumn_family()`
`void` `unsetColumn()`
`void` `unsetSuper_column()`
`void` `validate()`
`void` `write(org.apache.thrift.protocol.TProtocol oprot)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### column_family

    public java.lang.String column_family

### super_column

    public java.nio.ByteBuffer super_column

### column

    public java.nio.ByteBuffer column

### metaDataMap

    public static final java.util.Map<ColumnPath._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

Constructor Detail

### ColumnPath

    public ColumnPath()

### ColumnPath

    public ColumnPath(java.lang.String column_family)

### ColumnPath

    public ColumnPath(ColumnPath other)

  Performs a deep copy on other.

Method Detail

### deepCopy

    public ColumnPath deepCopy()

  Specified by:
    `deepCopy` in interface `org.apache.thrift.TBase<ColumnPath,ColumnPath._Fields>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `org.apache.thrift.TBase<ColumnPath,ColumnPath._Fields>`

### getColumn_family

    public java.lang.String getColumn_family()

### setColumn_family

    public ColumnPath setColumn_family(java.lang.String column_family)

### unsetColumn_family

    public void unsetColumn_family()

### isSetColumn_family

    public boolean isSetColumn_family()

  Returns true if field column_family is set (has been assigned a value) and false otherwise

### setColumn_familyIsSet

    public void setColumn_familyIsSet(boolean value)

### getSuper_column

    public byte[] getSuper_column()

### bufferForSuper_column

    public java.nio.ByteBuffer bufferForSuper_column()

### setSuper_column

    public ColumnPath setSuper_column(byte[] super_column)

### setSuper_column

    public ColumnPath setSuper_column(java.nio.ByteBuffer super_column)

### unsetSuper_column

    public void unsetSuper_column()

### isSetSuper_column

    public boolean isSetSuper_column()

  Returns true if field super_column is set (has been assigned a value) and false otherwise

### setSuper_columnIsSet

    public void setSuper_columnIsSet(boolean value)

### getColumn

    public byte[] getColumn()

### bufferForColumn

    public java.nio.ByteBuffer bufferForColumn()

### setColumn

    public ColumnPath setColumn(byte[] column)

### setColumn

    public ColumnPath setColumn(java.nio.ByteBuffer column)

### unsetColumn

    public void unsetColumn()

### isSetColumn

    public boolean isSetColumn()

  Returns true if field column is set (has been assigned a value) and false otherwise

### setColumnIsSet

    public void setColumnIsSet(boolean value)

### setFieldValue

    public void setFieldValue(ColumnPath._Fields field,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<ColumnPath,ColumnPath._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(ColumnPath._Fields field)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<ColumnPath,ColumnPath._Fields>`

### isSet

    public boolean isSet(ColumnPath._Fields field)

  Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<ColumnPath,ColumnPath._Fields>`

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public boolean equals(ColumnPath that)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(ColumnPath other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<ColumnPath>`

### fieldForId

    public ColumnPath._Fields fieldForId(int fieldId)

  Specified by:
    `fieldForId` in interface `org.apache.thrift.TBase<ColumnPath,ColumnPath._Fields>`

### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

  Specified by:
    `read` in interface `org.apache.thrift.TBase<ColumnPath,ColumnPath._Fields>`
  Throws:
    `org.apache.thrift.TException`

### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

  Specified by:
    `write` in interface `org.apache.thrift.TBase<ColumnPath,ColumnPath._Fields>`
  Throws:
    `org.apache.thrift.TException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### validate

    public void validate()
                  throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

Copyright © 2013 The Apache Software Foundation